Channels

Channels are messaging integrations (Telegram, WhatsApp) that the daemon manages. Use these endpoints to list, connect, and disconnect channels.

GET/channelAuthenticated

List all registered channels with their connection status.

curl http://127.0.0.1:7741/channel \
  -H "Authorization: Bearer $TOKEN"
200Response
{
  "ok": true,
  "data": {
    "telegram": {
      "id": "telegram",
      "name": "telegram",
      "label": "Telegram",
      "connected": true,
      "qr_pending": false,
      "info": "Bot @mybot connected"
    },
    "whatsapp": {
      "id": "whatsapp",
      "name": "whatsapp",
      "label": "WhatsApp",
      "connected": false,
      "qr_pending": false,
      "info": null
    }
  }
}
POST/channel/:name/connectAuthenticated

Connect a channel by name.

curl -X POST http://127.0.0.1:7741/channel/telegram/connect \
  -H "Authorization: Bearer $TOKEN"
200Response
{
  "ok": true,
  "data": {
    "id": "telegram",
    "name": "telegram",
    "label": "Telegram",
    "connected": true,
    "qr_pending": false,
    "info": "Bot @mybot connected"
  }
}
POST/channel/:name/disconnectAuthenticated

Disconnect a channel by name.

200Response
{
  "ok": true,
  "data": {
    "id": "telegram",
    "name": "telegram",
    "label": "Telegram",
    "connected": false,
    "qr_pending": false,
    "info": null
  }
}